Subject: Re: bug#12336: test bug

From: Bala Murugan <[email-masked]>
Date: Mon, 3 Sep 2012 20:21:41 +0530

Hi Bob,
thanks for u r reply.
See i will explain u neatly.
I am using bash shell. When I tried to do this i getting this.I am getting
this error.

[balamup2@cl-flor-dvvm026 ~]$ echo $SHELL
*/bin/bash*

[balamup2@cl-flor-dvvm026 ~]$ ls
*test1.txt  test3.txt  testdir  test.txt*

[balamup2@cl-flor-dvvm026 ~]$ test -f test*.txt
*-bash: test: too many arguments*
--------------------------------------------------------------------------------------------
But my friend is using ksh shell. He is fine with that command . I will
past this O/P also.

$ echo $SHELL
*/usr/bin/ksh*

$ ls
*123.txt  a1.txt  abc.txt  a.txt  dead.letter  nohup.out  ww1.txt*

$ test -f a*.txt
$ echo $?
*0*

Please take a deep look and resolve this problem